Administración
Consultar tablero
Obtén la definición y los campos de un tablero por ID.
GET
/
databases
/
{databaseId}
Consultar tablero
curl --request GET \
--url https://api.insuranceboosters.com/api/v1/databases/{databaseId} \
--header 'x-ib-api-key: <api-key>'import requests
url = "https://api.insuranceboosters.com/api/v1/databases/{databaseId}"
headers = {"x-ib-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}';
const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.insuranceboosters.com/api/v1/databases/{databaseId}")
.header("x-ib-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.insuranceboosters.com/api/v1/databases/{databaseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-ib-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.insuranceboosters.com/api/v1/databases/{databaseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-ib-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.insuranceboosters.com/api/v1/databases/{databaseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-ib-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.insuranceboosters.com/api/v1/databases/{databaseId}")
.get()
.addHeader("x-ib-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.insuranceboosters.com/api/v1/databases/{databaseId}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-ib-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("x-ib-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}' -Method GET -Headers $headers{
"id": "<string>",
"name": "<string>",
"fields": [
{
"name": "<string>",
"key": "<string>",
"type": "string",
"id": "<string>",
"required": false,
"description": "<string>",
"defaultValue": "<unknown>",
"dateConfig": {
"includeTime": false
},
"options": [
{
"label": "<string>",
"id": "<string>",
"color": "<string>",
"order": 1
}
],
"toDatabaseId": "<string>",
"displayFieldId": "<string>",
"bidirectional": false,
"inverseField": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"type": "relation_single",
"displayFieldId": "<string>"
},
"relationFieldId": "<string>",
"targetFieldId": "<string>",
"multipleValuesBehavior": "allValues",
"maxFiles": 2,
"accept": [
"<string>"
],
"numberFormat": {
"type": "none",
"currencyCode": "USD",
"decimalPlaces": 2,
"thousandsSeparator": true
},
"pdfTemplateConfig": {
"buttonLabel": "<string>",
"templates": [
{
"id": "<string>",
"name": "<string>",
"orientation": "portrait",
"fileNameTemplate": "<string>"
}
]
},
"inverseFieldId": "<string>",
"relationPairId": "<string>"
}
],
"createdAt": 1720000000000,
"updatedAt": 1720000000000,
"description": "<string>",
"defaultSort": {
"fieldKey": "<string>",
"direction": "asc"
}
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}Obtén la definición completa de un tablero. Usa esta operación antes de enviar registros para conocer las
Respuesta exitosa (
key y los tipos de sus campos.
Endpoint
GET /databases/{databaseId}
Parámetros de ruta
| Parámetro | Descripción |
|---|---|
databaseId | ID devuelto al crear o listar tableros. |
Ejemplo de solicitud
curl "https://api.insuranceboosters.com/api/v1/databases/{databaseId}" \
-H "x-ib-api-key: TU_API_KEY"
Respuesta exitosa (200)
{
"id": "<database-id>",
"name": "Pólizas",
"description": "Control de pólizas vigentes",
"fields": [
{
"id": "<field-id>",
"key": "numeroPoliza",
"name": "Número de póliza",
"type": "string",
"required": true
},
{
"id": "<field-id>",
"key": "prima",
"name": "Prima",
"type": "number"
}
],
"createdAt": 1720000000000,
"updatedAt": 1720000000000
}
Errores frecuentes
| HTTP | Qué significa | Qué hacer |
|---|---|---|
401 | API key inválida o faltante. | Verifica x-ib-api-key. |
404 | El tablero no existe o no está disponible. | Confirma databaseId. |
500 | No fue posible consultar el tablero. | Reintenta; si continúa, contacta soporte. |
Authorizations
API key de Insurance Boosters.
Path Parameters
ID del tablero.
Response
Tablero solicitado.
Show child attributes
Show child attributes
Fecha de creación administrada por la API, en milisegundos Unix.
Example:
1720000000000
Fecha de última actualización administrada por la API, en milisegundos Unix.
Example:
1720000000000
Show child attributes
Show child attributes
Was this page helpful?
Consultar tablero
curl --request GET \
--url https://api.insuranceboosters.com/api/v1/databases/{databaseId} \
--header 'x-ib-api-key: <api-key>'import requests
url = "https://api.insuranceboosters.com/api/v1/databases/{databaseId}"
headers = {"x-ib-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}';
const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.insuranceboosters.com/api/v1/databases/{databaseId}")
.header("x-ib-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.insuranceboosters.com/api/v1/databases/{databaseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-ib-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.insuranceboosters.com/api/v1/databases/{databaseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-ib-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.insuranceboosters.com/api/v1/databases/{databaseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-ib-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.insuranceboosters.com/api/v1/databases/{databaseId}")
.get()
.addHeader("x-ib-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.insuranceboosters.com/api/v1/databases/{databaseId}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-ib-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("x-ib-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}' -Method GET -Headers $headers{
"id": "<string>",
"name": "<string>",
"fields": [
{
"name": "<string>",
"key": "<string>",
"type": "string",
"id": "<string>",
"required": false,
"description": "<string>",
"defaultValue": "<unknown>",
"dateConfig": {
"includeTime": false
},
"options": [
{
"label": "<string>",
"id": "<string>",
"color": "<string>",
"order": 1
}
],
"toDatabaseId": "<string>",
"displayFieldId": "<string>",
"bidirectional": false,
"inverseField": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"type": "relation_single",
"displayFieldId": "<string>"
},
"relationFieldId": "<string>",
"targetFieldId": "<string>",
"multipleValuesBehavior": "allValues",
"maxFiles": 2,
"accept": [
"<string>"
],
"numberFormat": {
"type": "none",
"currencyCode": "USD",
"decimalPlaces": 2,
"thousandsSeparator": true
},
"pdfTemplateConfig": {
"buttonLabel": "<string>",
"templates": [
{
"id": "<string>",
"name": "<string>",
"orientation": "portrait",
"fileNameTemplate": "<string>"
}
]
},
"inverseFieldId": "<string>",
"relationPairId": "<string>"
}
],
"createdAt": 1720000000000,
"updatedAt": 1720000000000,
"description": "<string>",
"defaultSort": {
"fieldKey": "<string>",
"direction": "asc"
}
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}{
"code": "<string>",
"message": "<string>",
"error": "<string>"
}
